%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% univreportstyle.sty
%% Copyright 2021 B.Tschida
%
% This work may be distributed and/or modified under the
% conditions of the LaTeX Project Public License, either version 1.3
% of this license or (at your option) any later version.
% The latest version of this license is in
%   http://www.latex-project.org/lppl.txt
% and version 1.3 or later is part of all distributions of LaTeX
% version 2005/12/01 or later.
%
% This work has the LPPL maintenance status `maintained'.
% 
% The Current Maintainer of this work is B.Tschida.
%
% This work provides univreportstyle.sty
% 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\NeedsTeXFormat{LaTeX2e}
\ProvidesPackage{univreportstyle}
%-----------------------------------------------
% Optional Package Settings
%-----------------------------------------------

\RequirePackage[utf8]{inputenc}
\RequirePackage{xcolor}
\RequirePackage{siunitx} % Provides the \SI{}{} and \si{} command for typesetting SI units
\RequirePackage{graphicx} % Required for the inclusion of images
\RequirePackage{amsmath} % Required for some math elements 
\RequirePackage[super]{nth} % For typing 1st better
\RequirePackage{indentfirst} % Indentation
\RequirePackage[font={small,it}]{caption} %change caption text
\RequirePackage{subcaption} % For making sub-figures
\RequirePackage[margin=1.25in]{geometry} 
\RequirePackage[]{appendix} % For creating appendices
\RequirePackage[english]{babel} % Language support
% \RequirePackage{rotating} 	% For rotated tables and figures
\RequirePackage{commath} % added math features
\RequirePackage{nameref} % Better naming referencing
% \RequirePackage{subcaption} % For making sub-figures
\RequirePackage{pageslts} % For better page numbering
\RequirePackage[colorlinks=true]{hyperref} % Hyperlinks in text, color links when referencing 
\RequirePackage{titleps} % Header and footer
\RequirePackage[backend=biber,style=numeric]{biblatex}	% For writing references/citations
\RequirePackage{csquotes} 	% To help biblatex
\RequirePackage{subfiles}	% For including other .tex files in main
% \RequirePackage{breqn} % For breaking equations
\RequirePackage{adjustbox}
\RequirePackage{float} 
% \RequirePackage{ifthen}
\RequirePackage{tocloft}

% Include an image on title page
% \SetWatermarkLightness{0.3}
% \SetWatermarkText{\includegraphics[angle=-45]{example-image-a}}
% Change figure, table and equation numbering to section relative 
% (ie: Section 2 has equation (2.3))
\numberwithin{equation}{section}
\numberwithin{table}{section}
\numberwithin{figure}{section}
% Default bibliography source
% \addbibresource{Report_Sources.bib}
% Other optional settings
\graphicspath{{Images/}}
\defbibheading{bibliography}[\refname]{\section*{#1}} % Change to header on page with references
\setlength\parindent{24pt} % uses 24pt indentation on new paragraphs
\pagenumbering{alph}	% Pages before start of document use letters for page numbers

% TOC setup
% \renewcommand{\cftsecleader}{\cftdotfill{\cftdotsep}}
\setcounter{tocdepth}{3}

\renewcommand{\cfttoctitlefont}{\hfill\Large\bfseries\scshape}
\renewcommand{\cftaftertoctitle}{\hfill\hfill}
\noappendicestocpagenum
\appendixtitletocon

%-----------------------------------------------
% Create Title Page
%-----------------------------------------------
\makeatletter
\renewcommand{\maketitle}{% Title Page
		\begin{titlepage}
			\begin{center}
				\vspace*{0.5in}
				% \vfill
				\begin{minipage}{\linewidth}
						\centering
						\rule{\linewidth}{0.015in}\vspace*{-0.3in}
						\rule{0.95\linewidth}{0.008in}
					\Huge\textsc{\@labtitle}\vspace{-0.15in}
						\rule{0.95\linewidth}{0.008in}\vspace*{-0.3in}
						\rule{\linewidth}{0.015in}
					\end{minipage}
					% \vspace{1.5em}
					\vfill
					\begin{minipage}{4in}
						\centering
						{\large\bfseries\@author}\\[0.5em]
						{\large Team~\@coursesecletter}\\[1.5em]
							\rule{0.2\linewidth}{0.008in}\\[2em]
						{\normalsize \@coursenum: \@coursename}\\[1.5em]
							\rule{0.2\linewidth}{0.008in}\\[2em]
						{\normalsize Instructor:}\\[0.5em]
						{\normalsize\@courseinstructor}\\[1.5em]
							\rule{0.2\linewidth}{0.008in}\\[2em]
						{\normalsize\@university}\\
					\end{minipage}
				\vfill
					\begin{minipage}{3in}
						\centering
						\includegraphics[width=2.5in]{Images/CougarHead.png}\\[1em]
						Submitted~\@date
					\end{minipage}
				% \vfill
			\end{center}
		\end{titlepage}
}%
% \renewcommand\tableofcontents{%	TABLE OF CONTENTS
%   \null\hfill\textbf{\Large\contentsname}\hfill\null\par
%   \@mkboth{\MakeUppercase\contentsname}{\MakeUppercase\contentsname}%
%   \@starttoc{toc}%
% }

\AtBeginDocument{%
  \hypersetup{%		CHANGE ATTRIBUTES OF PDF
    pdftitle = {\@coursenum\_\@coursename\_\@labtitle},
    pdfauthor = {\@author},
	linktocpage,
	citecolor=blue,
	plainpages=false,
  }%	
}%


%-----------------------------------------------
% Set style of page
%-----------------------------------------------
\newpagestyle{mainmatter}{%
	\headrule
	\sethead{\@coursename}
			{\@shorttitle}
			{Group\ \@coursesecletter ,\ \@coursenum}
	\setfoot{\@author}
			{ }
			{Page \thepage\ of \begin{NoHyper}\lastpageref{pagesLTS.arabic}\end{NoHyper}  }
}%
\newpagestyle{appendix}{%
	\headrule
	% \sethead{\@coursename}
			% {\@shorttitle}
			% {\appendixname\ \thesection}
		\sethead{\@coursename}
			{\@shorttitle}
			{Group\ \@coursesecletter ,\ \@coursenum}
		\setfoot{\@author}
			{ }
			{\thepage}
}%
\makeatother
%-----------------------------------------------
% Shorthand for figures
%-----------------------------------------------
\newcommand{\CenterImage}[4]{% Width, filename, caption, label
	\begin{figure}[hbpt]
		\begin{center}
			\includegraphics[width=#1\linewidth]{#2}
			\caption{#3}
			\label{fig:#4}
		\end{center}
	\end{figure}
}%

\newcommand{\Subfigure}[9]{ % width, file1, caption1, label1, file2, caption2, label2, CAPTION, LABEL
\begin{figure}[hbpt]
	\centering
	\begin{subfigure}{#1\textwidth}
		\centering
		\includegraphics[width=\linewidth]{#2}
		\caption{#3}
		\label{s_fig:#4}
	\end{subfigure}
	\begin{subfigure}{#1\textwidth}
		\centering
		\includegraphics[width=\linewidth]{#5}
		\caption{#6}\renewcommand{\cftsecleader}{\cftdotfill{\cftdotsep}}
		\label{s_fig:#7}
	\end{subfigure}
	\caption{#8}
	\label{fig:#9}
\end{figure}
}%

%-----------------------------------------------
% Other various extra commands
%-----------------------------------------------

\newcommand{\FirstPages}{%	Prints title page, table of contents and abstract. 
	\maketitle
	\tableofcontents	
	% \addcontentsline{toc}{section}{List of Figures}
	\listoffigures
	% \addcontentsline{toc}{section}{List of Tables}
	\listoftables

\newpage
\begin{center}
	\vfill
		\subfile{Abstract/Abstract.tex}
	\vfill	
\end{center}
	
}%
\newcommand{\EndPreface}{% Ends Preface
\clearpage
	\pagestyle{mainmatter}
	\pagenumbering{arabic}
	\setcounter{page}{1}
}%
\newcommand{\tabref}[1]{Table \ref{#1}}             % For making references to tables
\newcommand{\apref}[1]{\appendixname\ \ref{#1}}				% Reference appendicies

\newcommand{\sur}[1]{\ensuremath{^{\textrm{#1}}}}		% make math better
\newcommand{\sous}[1]{\ensuremath{_{\textrm{#1}}}}

\newcommand{\Fahrenheit}{\si{\degree}F}					% writting degrees fahrenheit
\newcommand{\volumedot}{\dot{\volume}}

\DeclareRobustCommand{\volume}{\text{\volumedash}V}
\newcommand{\volumedash}{%
  \makebox[0pt][l]{%
    \ooalign{\hfil\hphantom{$\m@th V$}\hfil\cr\kern0.08em--\hfil\cr}%
  }%
}

\newcommand*{\mybox}[1]{\framebox{\strut #1}}

